# Uses of Class
com.logicaldoc.core.communication.MessageTemplate

Packages that use MessageTemplate
Package
Description
com.logicaldoc.core.communication
Classes that model emails and messages and the machinery to work with them.

## Uses of MessageTemplate in com.logicaldoc.core.communication

Methods in com.logicaldoc.core.communication that return MessageTemplate
Modifier and Type
Method
Description
`MessageTemplate`
HibernateMessageTemplateDAO.`findByNameAndLanguage(String name, String language, long tenantId)`
`MessageTemplate`
MessageTemplateDAO.`findByNameAndLanguage(String name, String language, long tenantId)`
Finds the template by the alternate key.
Methods in com.logicaldoc.core.communication that return types with arguments of type MessageTemplate
Modifier and Type
Method
Description
`List<MessageTemplate>`
HibernateMessageTemplateDAO.`findByLanguage(String language, long tenantId)`
`List<MessageTemplate>`
MessageTemplateDAO.`findByLanguage(String language, long tenantId)`
Finds the templates by given language
`List<MessageTemplate>`
HibernateMessageTemplateDAO.`findByName(String name, long tenantId)`
`List<MessageTemplate>`
MessageTemplateDAO.`findByName(String name, long tenantId)`
Finds the templates by given name, you may have the same name but for different languages.
`List<MessageTemplate>`
HibernateMessageTemplateDAO.`findByTypeAndLanguage(String type, String language, long tenantId)`
`List<MessageTemplate>`
MessageTemplateDAO.`findByTypeAndLanguage(String type, String language, long tenantId)`
Finds the templates by the type.
Constructors in com.logicaldoc.core.communication with parameters of type MessageTemplate
Modifier
Constructor
Description
``
`MessageTemplate(MessageTemplate source)`